Package org.apache.storm.security.auth.plain

## Class SaslPlainServer.SecurityProvider

- java.lang.Object
- - java.util.Dictionary<K,​V>
  - - java.util.Hashtable<Object,​Object>
    - - java.util.Properties
      - - java.security.Provider
        - - org.apache.storm.security.auth.plain.SaslPlainServer.SecurityProvider

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<Object,​Object>`
  Enclosing class:
    SaslPlainServer

      public static class SaslPlainServer.SecurityProvider
      extends Provider

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `Provider.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SASL_PLAIN_SERVER` |

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityProvider()` |

  - ### Method Summary

    - ### Methods inherited from class java.security.Provider

      `clear, compute, computeIfAbsent, computeIfPresent, configure, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, getVersionStr, isConfigured, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

    - ### Methods inherited from class java.util.Properties

      `clone, contains, containsKey, containsValue, equals, getProperty, hashCode, isEmpty, list, list, load, loadFromXML, propertyNames, rehash, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SASL_PLAIN_SERVER

          public static final String SASL_PLAIN_SERVER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecurityProvider

          public SecurityProvider()